Bug 607480 - coroysnc leaks /dev/shm files filling up the shared memory filesystem
Summary: coroysnc leaks /dev/shm files filling up the shared memory filesystem
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Steven Dake
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-24 08:25 UTC by Steven Dake
Modified: 2016-04-26 14:33 UTC (History)
3 users (show)

Fixed In Version: corosync-1.2.3-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 22:07:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix shm leak problem and report an error if /dev/shm is full rather then segfault (1.36 KB, patch)
2010-06-24 08:27 UTC, Steven Dake
no flags Details | Diff
flatiron revision 2969 to resolve problem (3.08 KB, patch)
2010-06-28 22:57 UTC, Steven Dake
no flags Details | Diff

Description Steven Dake 2010-06-24 08:25:51 UTC
Description of problem:
service corosync restart in a loop

eventually corosync will fail to restart.  Further investigation shows leaking of files in /dev/shm.

Version-Release number of selected component (if applicable):
corosync-1.2.4-4.el6

How reproducible:
100%

Steps to Reproduce:
1. service corosync restart in a loop
2.
3.
  
Actual results:
corosync will eventually segfault during startup and /dev/shm will reach 100% disk usage

Expected results:
corosync should clean up appropriately

Additional info:

Comment 1 Steven Dake 2010-06-24 08:27:33 UTC
Created attachment 426484 [details]
patch to fix shm leak problem and report an error if /dev/shm is full rather then segfault

Comment 2 RHEL Product and Program Management 2010-06-24 08:32:52 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Steven Dake 2010-06-27 20:55:34 UTC
patch in comment #1 is not entirely correct and needs more work.

Comment 4 Steven Dake 2010-06-28 22:57:06 UTC
Created attachment 427523 [details]
flatiron revision 2969 to resolve problem

Comment 6 Dean Jansa 2010-08-27 15:48:22 UTC
Ran 'service corosync restart' in a loop, 1000 iterations.
/dev/shm did not grow/fill
corosync restarted without failure

Comment 7 releng-rhel@redhat.com 2010-11-10 22:07:17 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.